HMWKGraph.cxx File Reference
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <set>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWContentListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWPictBasic.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "HMWKParser.hxx"`
`#include "HMWKGraph.hxx"`
`#include "libmwaw_internal.hxx"`

## Classes

struct | HMWKGraphInternal::Frame
| Internal: the frame header of a HMWKGraph. More...
struct | HMWKGraphInternal::BasicGraph
| Internal: the geometrical graph of a HMWKGraph. More...
struct | HMWKGraphInternal::FootnoteFrame
| Internal: the footnote of a HMWKGraph. More...
struct | HMWKGraphInternal::Group
| Internal: the group of a HMWKGraph. More...
struct | HMWKGraphInternal::Group::Child
| struct to store child data in HMWKGraphInternal::Group More...
struct | HMWKGraphInternal::PictureFrame
| Internal: the picture of a HMWKGraph. More...
struct | HMWKGraphInternal::TableCell
| a table cell in a table in HMWKGraph More...
struct | HMWKGraphInternal::Table
| Internal: the table of a HMWKGraph. More...
struct | HMWKGraphInternal::TextBox
| Internal: the textbox of a HMWKGraph. More...
struct | HMWKGraphInternal::Picture
| Internal: the picture of a HMWKGraph. More...
struct | HMWKGraphInternal::State
| Internal: the state of a HMWKGraph. More...
class | HMWKGraphInternal::SubDocument
| Internal: the subdocument of a HMWKGraph. More...

## Namespaces

| HMWKGraphInternal
| Internal: the structures of a HMWKGraph.

## Functions

std::ostream & | HMWKGraphInternal::operator<< (std::ostream &o, Frame const &grph)
std::ostream & | HMWKGraphInternal::operator<< (std::ostream &o, TableCell const &cell)